## net.sf.saxon.expr
Interface MappingFunction

All Known Implementing Classes:
  AtomicSequenceConverter, Atomizer.AtomizingFunction, CopyOf, ForEach, ForEachGroup, NumberFn, NumericPromoter, PathExpression, SimpleMappingExpression, StandardCollectionURIResolver, TupleSorter, UntypedAtomicConverter

public interface MappingFunction

MappingFunction is an interface that must be satisfied by an object passed to a MappingIterator. It represents an object which, given an Item, can return a SequenceIterator that delivers a sequence of zero or more Items.

Method Summary
`java.lang.Object` `map(Item item, XPathContext context)` Map one item to a sequence.

Method Detail

### map

    public java.lang.Object map(Item item,
                                XPathContext context)
                         throws XPathException

  Map one item to a sequence.

  Parameters:
    `item` - The item to be mapped. If context is supplied, this must be the same as context.currentItem().
    `context` - The processing context. Some mapping functions use this because they require context information. Some mapping functions modify the context by maintaining the context item and position. In other cases, the context may be null.
  Returns:
    either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
  Throws:
    `XPathException`